Package org.eclipse.birt.report.engine.api

# Class DataSetID

java.lang.Object
org.eclipse.birt.report.engine.api.DataSetID

public class DataSetID extends Object
ID represent the data set. a data set is created by a sub query or a query. If it is created by a data query, it will have a uniqe data set name. Otherwise, the data set id is determinted by its parent data set, parent row id and the subquery name.

## Constructor Summary

Constructors
Constructor
Description
`DataSetID(String dataSetName)`
create a dataset id of a normal query.
`DataSetID(DataSetID parent, long rowId, String queryName)`
DataSetID of the subquery.
`DataSetID(DataSetID parent, String cellId, String queryName)`
DataSetID of the subquery.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object a)`
`String`
`getCellID()`
cell id in the parent data set.
`String`
`getDataSetName()`
data set name if any.
`DataSetID`
`getParentID()`
parent data set if any.
`String`
`getQueryName()`
query name if any.
`long`
`getRowID()`
row id in the parent data set.
`static DataSetID`
`parse(char[] buffer, int offset, int length)`
Parse dataSetID.
`static DataSetID`
`parse(String dataSetId)`
Parse the dataSetID of a String
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataSetID

public DataSetID(DataSetID parent, long rowId, String queryName)
DataSetID of the subquery.

Parameters:
  `parent` - can't be null.
  `rowId` -
  `queryName` - can't be null.

### DataSetID

public DataSetID(DataSetID parent, String cellId, String queryName)
DataSetID of the subquery.

Parameters:
  `parent` - can't be null.
  `cellId` -
  `queryName` - can't be null.

### DataSetID

public DataSetID(String dataSetName)
create a dataset id of a normal query.

Parameters:
  `dataSetName` - can't be null.

## Method Details

### getParentID

public DataSetID getParentID()
parent data set if any.

Returns:
  parent data set

### getDataSetName

public String getDataSetName()
data set name if any.

Returns:
  name of the data set.

### getQueryName

public String getQueryName()
query name if any.

Returns:
  query name.

### getRowID

public long getRowID()
row id in the parent data set.

Returns:
  row id

### getCellID

public String getCellID()
cell id in the parent data set.

Returns:
  cell id

### equals

public boolean equals(Object a)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### parse

public static DataSetID parse(String dataSetId)
Parse the dataSetID of a String

Parameters:
  `dataSetId` -
Returns:
  DataSetID object

### parse

public static DataSetID parse(char[] buffer, int offset, int length)
Parse dataSetID.

Parameters:
  `buffer` -
  `offset` -
  `length` -
Returns:
  DataSetID object